import { Database } from '@liskhq/lisk-db';
import { Account, GenesisDataEntry, VoteWeightsWrapper, ValidatorEntryBuffer, Stake, StakerBuffer, ValidatorEntry, Staker, GenesisAssetEntry } from '../types';
export declare const getValidatorKeys: (accounts: Account[], db: Database, pageSize: number) => Promise<Record<string, string>>;
export declare const createValidatorsArrayEntry: (account: Account, validatorKeys: Record<string, string>, snapshotHeight: number, tokenID: string) => Promise<ValidatorEntryBuffer | null>;
export declare const getStakes: (account: Account, tokenID: string) => Promise<Stake[]>;
export declare const createStakersArrayEntry: (account: Account, tokenID: string) => Promise<StakerBuffer | null>;
export declare const createGenesisDataObj: (accounts: Account[], delegatesVoteWeights: VoteWeightsWrapper, snapshotHeight: number) => Promise<GenesisDataEntry>;
export declare const getPoSModuleEntry: (validators: ValidatorEntry[], stakers: Staker[], genesisData: GenesisDataEntry) => Promise<GenesisAssetEntry>;
